Subject: Re: [PATCH net-next 2/3] nfp: add support for link auto negotiation

From: Jakub Kicinski <[email-masked]>
Date: Fri, 23 Sep 2022 06:21:14 -0700

On Fri, 23 Sep 2022 04:37:58 +0000 Yinjun Zhang wrote:
> > I can't parse what this is saying but doesn't look good  
> 
> I think this comment is clear enough. In previous `
> nfp_net_pf_cfg_nsp`, hwinfo "sp_indiff" is configured into Management
> firmware(NSP), and it decides if autoneg is supported or not and
> updates eth table accordingly. And only `CHANGED` flag is set here so
> that with some delay driver can get the updated eth table instead of
> stale info.

Why is the sp_indif thing configured at the nfp_main layer, before 
the eth table is read? Doing this inside nfp_net_main seems like 
the wrong layering to me.